petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMComputeVariableBounds

compute variable bounds used by SNESVI.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMComputeVariableBounds(DM dm, Vec xl, Vec xu)

Logically Collective on DM Many br

### Input Parameters

dm -the DM object Many br

### Output parameters

| xl | - lower bound Many br
| xu | - upper bound Many br

Many br

Notes: This is generally not called by users. It calls the function provided by the user with DMSetVariableBounds() Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages